ReadArchive "statics.vib"

Declare DispShader = Shader [ FunctionalSurface [
  Color mix(UVImageMapping(ImageFile("mastic.jpg", NORMALIZED)),'0.5412, 0.8020, 0.5020',0.5)
  Kd 0.8
  Ks 0.2
  GaussianSpecularBRDF 10
 ]
]

Declare veins = SpectrumOfColors(
	 [0.000, '0.898, 0.898, 0.851', 0.212, '0.969, 0.980, 0.875']
	 [0.212, '0.969, 0.980, 0.875', 0.424, '0.859, 0.859, 0.859']
	 [0.424, '0.859, 0.859, 0.859', 0.627, '0.992, 0.922, 0.659']
	 [0.627, '0.992, 0.922, 0.659', 0.881, '0.937, 0.965, 0.902']
	 [0.881, '0.937, 0.965, 0.902', 1.01,  '0.898, 0.898, 0.851'])

Declare veins_pattern = Shader [
 FunctionalSurface [ Kd 0.85 Color veins[Agate] ]
]

static skymap = ImageFile("sky.jpg",NORMALIZED)
Declare skyexpression = mix((Level == 0 ? PlanarImageMapping(skymap, Po) : SphericalImageMapping(skymap, I)), '0.929412,0.907843,1', 0.35)
