ReadArchive "defshaders.vs"

static grid = 5
static thickness = 0.15

Declare wireframe = (|fmod(Po[X]*grid, 1)| < thickness ? TRUE :
                    (|fmod(Po[Y]*grid, 1)| < thickness ? TRUE : FALSE))

Declare WF = Shader [ FunctionalSurface [
 Color '.96, .8, .69'*wireframe
 Kd 0.85
 Ks(0.25,'1,1,1'*wireframe)
 Kt (1.0-wireframe, 1.0, '1,1,1')
 Kr 0.1
 BlinnSpecularBRDF 10 ]
]
