ReadArchive "defshaders.vs"

static skymap = ImageFile("Sky5i.jpg",NORMALIZED)

Declare treemat = Shader [ FunctionalSurface [
  Color PlanarImageMapping(ImageFile("Tree03.tga",NORMALIZED),(u, 0, v),0)
  Kd 0.9*Opacity
  Ks(0.1*Opacity,'1,1,1')
  Kt(1.0-Opacity,1,'1,1,1')
  BlinnSpecularBRDF 2
 ]
]

Declare glass = Shader [ FunctionalSurface [
  Color '.753529, .472549, .753529'
  Ka 0.025
  Kd 0.0
  Ks 0.3
  Kt((0.98*|N.I|<0.1?0.1 : 0.98*|N.I|), 1.4, '1,1,1')
  Kr 0.1
  GaussianSpecularBRDF 8
 ]
]
