ReadArchive "defshaders.vs"

// These archives contain shader definitions used for this example
ReadArchive "alien.vs"
ReadArchive "polyglass.vs"
ReadArchive "vlight.vs"

Declare shlist = SpectrumOfShaders(
 [-1, Polyglass, 22, TEX3]
 [22, TEX3, 52, TEX4]
 [52, TEX4, 84, HolderShader]
 [84, HolderShader, 150, TEX1]
 [150, TEX1, 186, TEX2]
 [186, TEX2, 255, Polyglass]
)

Declare ifunc = UVIndexedMapping(ImageFile("idxmap.tga", NONE))

Declare IdxShader = Shader [ Indexed [ ifunc , shlist ] ]
